services:
  db:
    image: postgis/postgis:18-3.6
    container_name: postgres-postgis
    restart: unless-stopped
    environment:
      POSTGRES_DB: geodb
      POSTGRES_USER: geralt          
      POSTGRES_PASSWORD: 123456
    ports:
      - "5432:5432"
    volumes:
      - postgres_data:/var/lib/postgresql
    networks:
      - app-network

  redis:
    image: redis:8.2.3-alpine
    container_name: redis
    restart: unless-stopped
    ports:
      - "6379:6379"
    volumes:
      - redis_data:/data
    networks:
      - app-network

  flaresolverr:
    image: ghcr.io/flaresolverr/flaresolverr:latest
    container_name: flaresolverr-dev
    restart: unless-stopped
    ports:
      - "8191:8191"
    environment:
      - LOG_LEVEL=info
      - LOG_HTML=false
      - CAPTCHA_SOLVER=none
    networks:
      - app-network
  
  # nginx:
  #   image: nginx:alpine
  #   container_name: nginx
  #   restart: unless-stopped
  #   ports:
  #     - "80:80"
  #     # - "443:443"
  #   volumes:
  #     - ./nginx/nginx.conf:/etc/nginx/nginx.conf:ro
  #     - ./nginx/conf.d:/etc/nginx/conf.d:ro
  #     - ./dbapp/staticfiles:/app/staticfiles:ro
  #   networks:
  #     - app-network

  tileserver:
    image: maptiler/tileserver-gl:latest
    container_name: tileserver-gl-dev
    restart: unless-stopped
    ports:
      - "8090:8080"
    volumes:
      - /mnt/c/Users/I/Documents/TileServer:/data
      - tileserver_config_dev:/config
    environment:
      - VERBOSE=true
  #   networks:
  #     - app-network

volumes:
  postgres_data:
  redis_data:
  tileserver_config_dev:

networks:
  app-network:
    driver: bridge